# Interface TypeAnnotation.ThrowsTarget

All Superinterfaces:
  `TypeAnnotation.TargetInfo`

Enclosing interface:
  `TypeAnnotation`

public static sealed interface TypeAnnotation.ThrowsTarget extends TypeAnnotation.TargetInfo
Indicates that an annotation appears on the i'th type in the throws clause of a method or constructor declaration.

Since:
  24
See Also:
  - `TypeAnnotation.TargetInfo.ofThrows(int)`

## Field Summary

### Fields declared in interface java.lang.classfile.TypeAnnotation.TargetInfo

`TARGET_CAST, TARGET_CLASS_EXTENDS, TARGET_CLASS_TYPE_PARAMETER, TARGET_CLASS_TYPE_PARAMETER_BOUND, TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT, TARGET_CONSTRUCTOR_REFERENCE, TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT, TARGET_EXCEPTION_PARAMETER, TARGET_FIELD, TARGET_INSTANCEOF, TARGET_LOCAL_VARIABLE, TARGET_METHOD_FORMAL_PARAMETER, TARGET_METHOD_INVOCATION_TYPE_ARGUMENT, TARGET_METHOD_RECEIVER, TARGET_METHOD_REFERENCE, TARGET_METHOD_REFERENCE_TYPE_ARGUMENT, TARGET_METHOD_RETURN, TARGET_METHOD_TYPE_PARAMETER, TARGET_METHOD_TYPE_PARAMETER_BOUND, TARGET_NEW, TARGET_RESOURCE_VARIABLE, TARGET_THROWS`

## Method Summary

Modifier and Type
Method
Description
`int`
`throwsTargetIndex()`
The index into the exception_index_table array of the Exceptions attribute of the method_info structure enclosing the RuntimeVisibleTypeAnnotations attribute.

### Methods declared in interface java.lang.classfile.TypeAnnotation.TargetInfo

`size, targetType`

## Method Details

### throwsTargetIndex

int throwsTargetIndex()
The index into the exception_index_table array of the Exceptions attribute of the method_info structure enclosing the RuntimeVisibleTypeAnnotations attribute.

Returns:
  the index into the list java.lang.classfile.attribute.ExceptionsAttribute.exceptions()